
package moremilk.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

import moremilk.MoreMilkModElements;

@MoreMilkModElements.ModElement.Tag
public class StrawberriemilkItem extends MoreMilkModElements.ModElement {
	@ObjectHolder("more_milk:strawberriemilk")
	public static final Item block = null;
	public StrawberriemilkItem(MoreMilkModElements instance) {
		super(instance, 4);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}
	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(ItemGroup.FOOD).maxStackSize(64).food((new Food.Builder()).hunger(8).saturation(0.3f).build()));
			setRegistryName("strawberriemilk");
		}

		@Override
		public int getUseDuration(ItemStack stack) {
			return 29;
		}

		@Override
		public UseAction getUseAction(ItemStack par1ItemStack) {
			return UseAction.DRINK;
		}

		@Override
		public net.minecraft.util.SoundEvent getEatSound() {
			return net.minecraft.util.SoundEvents.ENTITY_GENERIC_DRINK;
		}
	}
}
